Skip to content

List Calendar Systems

GET
/api/creative/timelines/calendar-systems

List all calendar systems for the active project.

Successful Response

CalendarSystemListResponse

List of calendar systems.

object
status
required
Status

Operation status

string
data
required
Data

Calendar systems

Array<object>
CalendarSystem

Custom fantasy calendar definition.

object
id
Any of:
string
projectId
required
Projectid

Project this calendar belongs to

string
name
required
Name

Calendar name

string
description
Description

Calendar description

string
""
eras
Eras

Era definitions

Array<object>
CalendarEra

Single era definition within a calendar system.

object
name
required
Name

Era name (e.g. ‘First Age’)

string
abbreviation
required
Abbreviation

Short form (e.g. ‘FA’)

string
startValue
Startvalue

Sort key where this era begins

integer
0
endValue
Any of:
integer
yearSpan
Any of:
integer
isCurrent
Iscurrent

Whether this is the active/ongoing era

boolean
months
Months

Month definitions

Array<object>
CalendarMonth

Single month within a calendar system.

object
name
required
Name

Month name

string
days
required
Days

Number of days in this month

integer
> 0
daysPerWeek
Daysperweek

Days per week

integer
default: 7 > 0
dayNames
Daynames

Day names in order

Array<string>
epochLabel
Epochlabel

Label for year numbering

string
default: Year
dateFormatTemplate
Dateformattemplate

Template for formatting dates

string
default: {era} {year}, {month} {day}